Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.editor
Class AbleInspectorData

    java.lang.Object
      java.util.Observable
          com.ibm.able.editor.AbleInspectorData

All Implemented Interfaces:
  jclass.chart.Chartable, java.io.Serializable

public class AbleInspectorData
extends java.util.Observable
implements jclass.chart.Chartable, java.io.Serializable

This class provides the underlying model for the JChart data used in the Able Inspectors

See Also:
  Serialized Form

Field Summary
`protected static long` | `serialVersionUID`

Fields inherited from interface jclass.chart.Chartable
`ARRAY, GENERAL`

Constructor Summary
`AbleInspectorData()`
`AbleInspectorData(AbleBean theAbleBean)`

Method Summary
`void` | `addDataPoint(java.lang.Double theYValue, java.util.Vector theYData)`
`java.lang.String` | `computeStatistics()` Compute the statistics on the selected data Format a display string and return it for display in the text area
`int` | `getDataInterpretation()`
`java.lang.Object` | `getDataItem(int theRow, int theCol)`
`java.lang.String` | `getName()`
`int` | `getNumRows()`
`java.lang.String[]` | `getPointLabels()`
`int` | `getPreviousView()`
`java.util.Vector` | `getRow(int theRow)`
`java.util.Vector` | `getSeriesData()`
`java.lang.String` | `getSeriesLabel(int theSeriesNumber)`
`java.lang.String` | `getSeriesName(int theSeriesNumber)`
`java.lang.String` | `getStatsText()`
`protected void` | `initArrayData(java.lang.Object[] theSelectedArrays, java.util.Hashtable theArrays)`
`void` | `initSeriesData(java.util.Vector theSeriesData, java.util.Hashtable theParameters, java.util.Hashtable theArrays)`
`protected void` | `setArrayData()`
`void` | `setChart(jclass.chart.JCChart theChart)`
`void` | `setModel(AbleObject theAbleBean)`
`void` | `setNumPoints(int theNumDataPoints)`
`protected void` | `setSeriesData()`
`void` | `setView(int theChartView)`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    protected static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### AbleInspectorData

    public AbleInspectorData()

### AbleInspectorData

    public AbleInspectorData(AbleBean theAbleBean)

Method Detail

### getDataInterpretation

    public int getDataInterpretation()

  Specified by:
    `getDataInterpretation` in interface `jclass.chart.Chartable`

### getDataItem

    public java.lang.Object getDataItem(int theRow,
                                        int theCol)

  Specified by:
    `getDataItem` in interface `jclass.chart.Chartable`

### getRow

    public java.util.Vector getRow(int theRow)

  Specified by:
    `getRow` in interface `jclass.chart.Chartable`

### getNumRows

    public int getNumRows()

  Specified by:
    `getNumRows` in interface `jclass.chart.Chartable`

### getPointLabels

    public java.lang.String[] getPointLabels()

  Specified by:
    `getPointLabels` in interface `jclass.chart.Chartable`

### getSeriesName

    public java.lang.String getSeriesName(int theSeriesNumber)

  Specified by:
    `getSeriesName` in interface `jclass.chart.Chartable`

### getSeriesLabel

    public java.lang.String getSeriesLabel(int theSeriesNumber)

  Specified by:
    `getSeriesLabel` in interface `jclass.chart.Chartable`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `jclass.chart.Chartable`

### setModel

    public void setModel(AbleObject theAbleBean)

### setView

    public void setView(int theChartView)

### getPreviousView

    public int getPreviousView()

### setNumPoints

    public void setNumPoints(int theNumDataPoints)

### setChart

    public void setChart(jclass.chart.JCChart theChart)

### getStatsText

    public java.lang.String getStatsText()

### addDataPoint

    public void addDataPoint(java.lang.Double theYValue,
                             java.util.Vector theYData)

### initArrayData

    protected void initArrayData(java.lang.Object[] theSelectedArrays,
                                 java.util.Hashtable theArrays)

### setArrayData

    protected void setArrayData()

### initSeriesData

    public void initSeriesData(java.util.Vector theSeriesData,
                               java.util.Hashtable theParameters,
                               java.util.Hashtable theArrays)

### setSeriesData

    protected void setSeriesData()

### getSeriesData

    public java.util.Vector getSeriesData()

### computeStatistics

    public java.lang.String computeStatistics()

  Compute the statistics on the selected data Format a display string and return it for display in the text area

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005